Package org.eclipse.net4j.util

# Class AbstractSupport

java.lang.Object
org.eclipse.net4j.util.AbstractSupport

Direct Known Subclasses:
  `AbstractSupport.ClassAvailability`

public abstract class AbstractSupport extends Object

Since:
  3.22
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`AbstractSupport.ClassAvailability`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractSupport()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract boolean`
`determineAvailability()`
`boolean`
`isAvailable()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractSupport

protected AbstractSupport()

## Method Details

### isAvailable

public boolean isAvailable()

### determineAvailability

protected abstract boolean determineAvailability() throws Throwable

Throws:
  `Throwable`